program xxx

	implicit real*8(a-h,o-z)
	integer i

	homega=0.0001d0
	omega_center=17.780d0
	gamma=0.120d0
	omega=omega_center-20.d0*gamma
	i_Do: do i=0,100000
		if(                                         omega .gt. omega_center+20.d0*gamma) exit
		if(omega .ge. omega_center+4.d0*gamma .and. omega .lt. omega_center+20.d0*gamma) then; omega=omegamax3+dble(i-imaxlev3)*100.0d0*homega; imaxlev4=i; omegamax4=omega; endif
		if(omega .ge. omega_center+2.d0*gamma .and. omega .lt. omega_center+4.d0*gamma) then; omega=omegamax2+dble(i-imaxlev2)*10.0d0*homega; imaxlev3=i; omegamax3=omega; endif
		if(omega .ge. omega_center-2.d0*gamma .and. omega .lt. omega_center+2.d0*gamma) then; omega=omegamax1 +dble(i-imaxlev1)*homega; imaxlev2=i; omegamax2=omega; endif
		if(omega .ge. omega_center-4.d0*gamma .and. omega .lt. omega_center-2.d0*gamma) then; omega=omegamax0 +dble(i-imaxlev0)*10.0d0*homega; imaxlev1=i; omegamax1=omega; endif
		if(omega .ge. omaga_center-20.d0*gamma .and. omega .lt. omega_center-4.d0*gamma) then; omega=omega_center-20.d0*gamma+dble(i)*100.0d0*homega; imaxlev0=i; omegamax0=omega; endif

		write(*,*) omega,i
		if(omega .eq. omega_center-20.0d0*gamma) then; write(*,*) "omega=17.78-20Gamma"; pause; endif
		if(omega .eq. omega_center-4.0d0*gamma) then; write(*,*) "omega=17.78-4Gamma"; pause; endif
		if(omega .eq. omega_center-2.0d0*gamma) then; write(*,*) "omega=17.78-2Gamma"; pause; endif
		if(omega .eq. omega_center+2.0d0*gamma) then; write(*,*) "omega=17.78+2Gamma"; pause; endif
		if(omega .eq. omega_center+4.0d0*gamma) then; write(*,*) "omega=17.78+4Gamma"; pause; endif
		if(omega .eq. omega_center+20.0d0*gamma) then; write(*,*) "omega=17.78+20Gamma"; pause; endif
	enddo i_Do
end program xxx
